Overview | Package | Class | Tree | Deprecated | Index | Help
| bea Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## theory.smart.axiom.contact
Interface CreditCard

All Known Implementing Classes:
  CreditCardImpl

public interface CreditCard
extends Belonging

Information needed to submit a transaction to a credit card company on behalf of a customer.

                      number
     [CreditCard] <*>------> [String]

                      type
     [CreditCard] <*>------> [String]

                      expirationDate
     [CreditCard] <*>------> [java.sql.Date]

                      name
     [CreditCard] <*>------> [String]

                      company
     [CreditCard] <*>------> [String]

                      billingAddress
     [CreditCard] <*>------> [theory.smart.axiom.contact.Address]

See Also:
  `CreditCardHome`, `CreditCardImpl`

Method Summary
`java.lang.String` | `findCreditCardTypeFromNumber(java.lang.String creditCardNumber)`
`Address` | `getBillingAddress()` Get the value of billingAddress
`java.lang.String` | `getCompany()` Get the value of company
`java.sql.Date` | `getExpirationDate()` Get the value of expirationDate
`java.lang.String` | `getName()` Get the value of name
`java.lang.String` | `getNumber()` Get the value of number
`java.lang.String` | `getType()` Get the value of type
`void` | `setBillingAddress(Address billingAddress)` Set the value of billingAddress
`void` | `setCompany(java.lang.String company)` Set the value of company
`void` | `setExpirationDate(java.sql.Date expirationDate)` Set the value of expirationDate
`void` | `setName(java.lang.String name)` Set the value of name
`void` | `setNumber(java.lang.String number)` Set the value of number
`void` | `setType(java.lang.String type)` Set the value of type
`boolean` | `validate()`

Methods inherited from interface theory.smart.foundation.Belonging
`equals, value`

Methods inherited from interface com.sun.java.util.collections.Comparable
`compareTo`

Method Detail

### getNumber

    public java.lang.String getNumber()

  Get the value of number
  Returns:
    number.

### setNumber

    public void setNumber(java.lang.String number)

  Set the value of number
  Parameters:
    `numbers` - number to be added

### getType

    public java.lang.String getType()

  Get the value of type
  Returns:
    type.

### setType

    public void setType(java.lang.String type)

  Set the value of type
  Parameters:
    `types` - type to be added

### getExpirationDate

    public java.sql.Date getExpirationDate()

  Get the value of expirationDate
  Returns:
    expirationDate.

### setExpirationDate

    public void setExpirationDate(java.sql.Date expirationDate)

  Set the value of expirationDate
  Parameters:
    `expirationDates` - expirationDate to be added

### getName

    public java.lang.String getName()

  Get the value of name
  Returns:
    name.

### setName

    public void setName(java.lang.String name)

  Set the value of name
  Parameters:
    `names` - name to be added

### getCompany

    public java.lang.String getCompany()

  Get the value of company
  Returns:
    company.

### setCompany

    public void setCompany(java.lang.String company)

  Set the value of company
  Parameters:
    `companies` - company to be added

### getBillingAddress

    public Address getBillingAddress()

  Get the value of billingAddress
  Returns:
    billingAddress.

### setBillingAddress

    public void setBillingAddress(Address billingAddress)

  Set the value of billingAddress
  Parameters:
    `billingAddresses` - billingAddress to be added

### validate

    public boolean validate()
                     throws java.rmi.RemoteException

### findCreditCardTypeFromNumber

    public java.lang.String findCreditCardTypeFromNumber(java.lang.String creditCardNumber)
                                                  throws java.rmi.RemoteException

Overview | Package | Class | Tree | Deprecated | Index | Help
| bea Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© Copyright 2000 bea Systems, Inc. All rights reserved.